﻿<?xml version="1.0"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>

<xsl:template match="Title">
	<xsl:param name="final"/>
	<xsl:if test="$final='True'">
		<A href="" onclick="parent.tableframe.location.href='T{../@page}.html';return false;">
			<xsl:value-of select="." />
		</A>
	</xsl:if>
	<xsl:if test="$final!='True'">
			<xsl:value-of select="." />
	</xsl:if>
</xsl:template>

<xsl:template match="IndexEntry">
	<xsl:variable name="level" select="@level"/>	
	<tr>
		<xsl:if test="$level>0">		
			<td colspan="{$level}"></td>
		</xsl:if>
		<td colspan="{6-$level}">
			<xsl:choose>
				<xsl:when test="$level=0">
					<H1>					
						<xsl:apply-templates select="./Title">
							<xsl:with-param name="final">
								<xsl:value-of select="@final"/>
							</xsl:with-param>
						</xsl:apply-templates>
					</H1>
				</xsl:when>
				<xsl:when test="$level=1">
					<H2>					
						<xsl:apply-templates select="./Title">
							<xsl:with-param name="final">
								<xsl:value-of select="@final"/>
							</xsl:with-param>
						</xsl:apply-templates>
					</H2>
				</xsl:when>
				<xsl:when test="$level=2">
					<H3>					
						<xsl:apply-templates select="./Title">
							<xsl:with-param name="final">
								<xsl:value-of select="@final"/>
							</xsl:with-param>
						</xsl:apply-templates>
					</H3>
				</xsl:when>
				<xsl:when test="$level=3">
					<H4>					
						<xsl:apply-templates select="./Title">
							<xsl:with-param name="final">
								<xsl:value-of select="@final"/>
							</xsl:with-param>
						</xsl:apply-templates>
					</H4>
				</xsl:when>				
				<xsl:when test="$level=4">
					<H5>					
						<xsl:apply-templates select="./Title">
							<xsl:with-param name="final">
								<xsl:value-of select="@final"/>
							</xsl:with-param>
						</xsl:apply-templates>
					</H5>
				</xsl:when>								
				<xsl:when test="$level=5">
					<H6>					
						<xsl:apply-templates select="./Title">
							<xsl:with-param name="final">
								<xsl:value-of select="@final"/>
							</xsl:with-param>
						</xsl:apply-templates>
					</H6>
				</xsl:when>				
				<xsl:when test="$level=6">
					<H7>					
						<xsl:apply-templates select="./Title">
							<xsl:with-param name="final">
								<xsl:value-of select="@final"/>
							</xsl:with-param>
						</xsl:apply-templates>
					</H7>
				</xsl:when>				
			</xsl:choose>
		</td>
	</tr>
	<xsl:apply-templates select="IndexEntry"/>
</xsl:template>

<xsl:template match="/">
	<html xmlns="http://www.w3.org/TR/REC-html40">
	<META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<head>
		<link href="index.css" rel="stylesheet" type="text/css"/>
	</head>
	<body>	
		<table border="0" style="border-style:none" cellpadding="0" colspacing="0" width="100%">
		<tr><td width="10"/><td width="10"/><td width="10"/><td width="10"/></tr>
			<xsl:apply-templates/>
		</table>
	</body>
	</html>
</xsl:template>

</xsl:transform>
